Package org.apache.qpid.proton.reactor

# Interface ReactorChild

All Known Subinterfaces:
  `Acceptor`, `Connection`, `ProtonJConnection`, `Selectable`

All Known Implementing Classes:
  `AcceptorImpl`, `ConnectionImpl`, `SelectableImpl`

public interface ReactorChild
Interface used to identify classes that can be a child of a reactor.

## Method Summary

Modifier and Type
Method
Description
`void`
`free()`
Frees any resources associated with this child.

## Method Details

### free

void free()
Frees any resources associated with this child.